Altibase.jdbc.driver.sharding.core

## Class ShardRangeList

- java.lang.Object
- - Altibase.jdbc.driver.sharding.core.ShardRangeList

    public class ShardRangeList
    extends java.lang.Object

샤드 범위객체를 포함하고 있는 클래스.
mIsPrimaryRangeChanged는 컴포지트 샤드키를 위한 플래그이다.

### Constructor Summary

Constructors
Constructor and Description
`ShardRangeList()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addRange(ShardRange aShardRange)`
`Range` `getCurrRange()`
`Range` `getCurrSubRange()`
`java.util.List<ShardRange>` `getRangeList()`
`void` `setPrimaryRangeChanged(boolean aPrimaryRangeChanged)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ShardRangeList

    public ShardRangeList()

### Method Detail

#### addRange

    public void addRange(ShardRange aShardRange)

#### getRangeList

    public java.util.List<ShardRange> getRangeList()

#### getCurrRange

    public Range getCurrRange()

#### getCurrSubRange

    public Range getCurrSubRange()

#### setPrimaryRangeChanged

    public void setPrimaryRangeChanged(boolean aPrimaryRangeChanged)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`